Show / Hide Table of Contents

# Class ExternalProxy

An upstream proxy this proxy uses if any.

##### Inheritance

Object
ExternalProxy

##### Inherited Members

Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.Models

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class ExternalProxy

### Properties

#### BypassLocalhost

Bypass this proxy for connections to localhost?

##### Declaration

    public bool BypassLocalhost { get; set; }

##### Property Value

Type | Description
--- | ---
Boolean |

#### HostName

Host name.

##### Declaration

    public string HostName { get; set; }

##### Property Value

Type | Description
--- | ---
String |

#### Password

Password.

##### Declaration

    public string Password { get; set; }

##### Property Value

Type | Description
--- | ---
String |

#### Port

Port.

##### Declaration

    public int Port { get; set; }

##### Property Value

Type | Description
--- | ---
Int32 |

#### UseDefaultCredentials

Use default windows credentials?

##### Declaration

    public bool UseDefaultCredentials { get; set; }

##### Property Value

Type | Description
--- | ---
Boolean |

#### UserName

Username.

##### Declaration

    public string UserName { get; set; }

##### Property Value

Type | Description
--- | ---
String |

### Methods

#### ToString()

returns data in Hostname:port format.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
String |

##### Overrides

Object.ToString()